## apngopt 1.2

=== Makefile ===
all:
	gcc -std=c99 -Wall -pedantic -O2 -o apngopt apngopt.c -lz

=== debian/changelog ===
apngopt (1.2-1) unstable; urgency=low

  * Initial release (Closes: #663414).
  * Use hardened build flags.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 01 Jun 2013 05:57:49 +0300

=== debian/control ===
Source: apngopt
Section: graphics
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), libz-dev
Standards-Version: 3.9.4
Homepage: http://apng.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/apngopt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apngopt.git;a=summary

Package: apngopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apng2gif
Description: optimize APNG animated images
 Optimize APNG files by reducing their file size.
 .
 The Animated Portable Network Graphics (APNG) file format is an
 extension to the Portable Network Graphics (PNG) specification. It
 allows for animated PNG files that work similarly to animated GIF
 files, while retaining backward compatibility with non-animated PNG
 files and adding support for 8-bit transparency and 24-bit images.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = apngopt
BIN	= $(PACKAGE)
CC     ?= gcc

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS	+= -Wall -std=c99
LDFLAGS += -Wl,--as-needed

include debian/pod2man.mk

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build: man
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(PACKAGE).c -o $(BIN) -lz

override_dh_installchangelogs:
	dh_installchangelogs readme.txt

%:
	dh $@

# End of file

=== debian/watch ===
version=3
opts="filenamemangle=s/-src//" \
  http://sf.net/apng/apngopt-(.+)-src\.zip  debian debian/repack.sh

## apngopt 1.4

=== debian/changelog ===
apngopt (1.4-1) unstable; urgency=medium

  * New maintainer (Closes: #826284)
  * New upstream version 1.4
  * Update standards version to 4.6.1.0, no changes needed.
  * d/copyright:
      - Remove non-standard fields
      - add 2022 xiao sheng wen <atzlinux@sina.com>
      - update copyright infos for new upstream version release
  * d/watch:
      - update to version 4,
      - use https://sf.net/apng/ apngopt-@ANY_VERSION@-src@ARCHIVE_EXT@
  * rm d/repack.sh, not need use on new d/watch
  * add d/gbp.conf
  * d/clean: delete lines which not needed
  * d/control:
      - +Rules-Requires-Root: no
      - B-D: + libpng-dev, zlib1g-dev
  * d/apngopt.1.pod:
      - fix typo
      - update STANDARDS to https://wiki.mozilla.org/APNG_Specification
  * refresh d/patches/* for new upstream
  * debian/rules: removed DEB_LDFLAGS_MAINT_APPEND variable because all
    options are default in dpkg and debhelper.

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 10 Jul 2022 11:03:59 +0800

apngopt (1.2-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Database.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 10:58:15 +0100

apngopt (1.2-3) unstable; urgency=medium

  * QA upload.
  * debian/patches/0001-use-autotools.patch: Use autotools as
    package buildsystem.
    + Fixes FTCBFS. (Closes: #966843)
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Update Vcs-* fields with git packaging repo on Salsa GitLab.
  * debian/rules: Refresh instruction.
  * debian/patches/0002-strcpy-avoid-stack-buffer-overflow.patch:
    Add patch to avoid stack buffer overflow with long filename.
    (Closes: #959141)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Sep 2021 20:04:05 -0400

apngopt (1.2-2) unstable; urgency=medium

  * QA upload.
  * Orphaning package, maintainer not active.
  * Bump Policy Standards-Version to 3.9.8 (no changes needed)
  * Update Vcs-* URLs
  * Use build date for manpage (for reproducible builds).  Thanks Reiner
    Herrmann.  (Closes: #782193)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 26 May 2016 11:28:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: apngopt
 Section: graphics
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), libz-dev
-Standards-Version: 3.9.4
+Maintainer: xiao sheng wen <atzlinux@sina.com>
+Build-Depends: debhelper-compat (= 13),
+ libpng-dev,
+ libzopfli-dev,
+ zlib1g-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.1.0
 Homepage: http://apng.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/collab-maint/apngopt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apngopt.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/apngopt.git
+Vcs-Browser: https://salsa.debian.org/debian/apngopt
 
 Package: apngopt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
include debian/pod2man.mk

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(DEB_SOURCE) makeman

execute_before_dh_auto_build: man

override_dh_installchangelogs:
	dh_installchangelogs readme.txt

%:
	dh $@

=== debian/watch ===
version=4
https://sf.net/apng/ apngopt-@ANY_VERSION@-src@ARCHIVE_EXT@
